package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag290;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT290Creator;

public class Tag25Creator extends AbsTagCreate {
    private MT290Creator mt290Creator;

    public Tag25Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt290Creator = (MT290Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag25Value = mt290Creator.getAccountIdentification();
        mt290Creator.set("25",tag25Value);
    }
}
